
%global meadversion 1.0.13
%global namedversion 1.0.13.redhat-4
%global meadalpha .redhat_4
%global meadrel .1
%global serial 3

%bcond_without mead

%bcond_with javadoc

%define maven_version 1.0.13.redhat-4

Name:           gnu-getopt
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Java port of GNU getopt
License:        LGPLv2
Group:          Development/Java

%if %with mead
Source100: java-getopt-1.0.13.redhat-4-scm-sources.zip
Source102: java-getopt-1.0.13.redhat-4-javadoc.jar
Source103: java-getopt-1.0.13.redhat-4.jar
Source104: java-getopt-1.0.13.redhat-4.pom
Source105: java-getopt-1.0.13.redhat-4-sources.jar
%endif

URL:            http://www.urbanophile.com/arenn/hacking/download.html
Obsoletes:      gnu.getopt < %{epoch}:%{version}-%{release}
Provides:       gnu.getopt = %{epoch}:%{version}-%{release}
Provides:       java-getopt = %{epoch}:%{version}-%{release}
BuildArch:      noarch
BuildRoot:      %{_tmppath}/java-getopt-%{namedversion}-%{release}-root

%description
%{summary}.

%if %with javadoc
%package -n java-getopt-javadoc
Summary:        Javadoc for java-getopt
Group:          Development/Documentation

Requires:       jpackage-utils
BuildRequires:  jpackage-utils
BuildRequires:  unzip

%description -n java-getopt-javadoc
%{summary}.
%endif

%prep
%setup -q -n java-getopt -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/java-getopt-%{namedversion}.jar %{buildroot}%{_javadir}/java-getopt-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/java-getopt-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/java-getopt-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/java-getopt-%{namedversion}-sources.jar %{buildroot}%{_javadir}/java-getopt-%{namedversion}-sources.jar
%{__ln_s} java-getopt-%{namedversion}.jar %{buildroot}%{_javadir}/gnu.getopt-%{namedversion}.jar
%{__ln_s} java-getopt-%{namedversion}.jar %{buildroot}%{_javadir}/gnu-getopt-%{namedversion}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%{__cp} -p %{_sourcedir}/java-getopt-%{namedversion}.pom %{buildroot}%{_mavenpomdir}/JPP-java-getopt.pom

# depmaps
%add_to_maven_depmap gnu.getopt java-getopt %{namedversion} JPP java-getopt
[ %{name} = "java-getopt" ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/java-getopt

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/java-getopt-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/java-getopt-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/java-getopt-%{namedversion} -x META-INF/\*
%{__ln_s} java-getopt-%{namedversion} %{buildroot}%{_javadocdir}/java-getopt
%endif

%clean
%{__rm} -rf %{buildroot}

%post -n gnu-getopt
%update_maven_depmap

%postun -n gnu-getopt
%update_maven_depmap

%files -n gnu-getopt
%defattr(0644,root,root,0755)
%doc ChangeLog COPYING.LIB LANGUAGES README
%{_javadir}/java-getopt-%{namedversion}.jar
%{_javadir}/java-getopt.jar
%exclude %{_javadir}/java-getopt-%{namedversion}-javadoc.jar
%exclude %{_javadir}/java-getopt-javadoc.jar
%{_javadir}/java-getopt-%{namedversion}-sources.jar
%{_javadir}/java-getopt-sources.jar
%{_javadir}/gnu.getopt-%{namedversion}.jar
%{_javadir}/gnu.getopt.jar
%{_javadir}/gnu-getopt-%{namedversion}.jar
%{_javadir}/gnu-getopt.jar
%{_mavenpomdir}/JPP-java-getopt.pom
%{_mavendepmapfragdir}/java-getopt

%if %with javadoc
%files -n java-getopt-javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/java-getopt-%{namedversion}
%{_javadocdir}/java-getopt
%{_javadir}/java-getopt-%{namedversion}-javadoc.jar
%{_javadir}/java-getopt-javadoc.jar
%endif

%changelog
* Wed Sep 18 2013 David Walluck <dwalluck@redhat.com> 0:1.0.13-3
- add back gnu-getopt package
- Provides: java-getopt
- disable javadoc package

* Tue Sep 10 2013 David Walluck <dwalluck@redhat.com> 0:1.0.13-2
- convert to MEAD

* Mon Sep 09 2013 David Walluck <dwalluck@redhat.com> 0:1.0.13-1
- build with maven (fixes bz#988280)
- add site
- brand new spec
- add doc: gnu/getopt/ChangeLog, gnu/getopt/LANGUAGES

* Sat Aug 18 2012 Paul Gier <pgier@redhat.com> - 0:1.0.13-1.2_redhat_2.5
- Fix pom for eap 6.0.1

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.13-1.2_redhat_2.4
- Rebuild unsigned

* Thu Jul 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.13-1.2_redhat_1.2
- Rebuild using cache signing

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.0.13-1.2_redhat_1.1
- Rebuild using cache signing

* Fri Feb 03 2012 Yong Yang <yyang@redhat.com> - 0:1.0.13-1.2_redhat_1
- Latest vman and resign

* Thu Sep 01 2011 Yong Yang <yyang@redhat.com> - 0:1.0.13-1.1.5_redhat_1
- Rebuild for Werewolf

* Mon Jan 17 2011 Yong Yang <yyang@redhat.com> - 0:1.0.13-1.1.4
- Rebuild for MEAD upload

* Mon Nov 15 2010 Yong Yang <yyang@redhat.com> - 0:1.0.13-1.1.3
- Add upload.sh and content of maven2-brew to repolib
- Fix %%files for signed jars

* Tue Jun 15 2010 Yiqiao Wang <yiwang@redhat.com> - 0:1.0.13-1.1.2
- Merge from RHEL4

* Mon May 17 2010 Martha Benitez <mbenitez@redhat.com> - 0:1.0.13-1.1.1
- rebuilt

* Mon Apr 19 2010 Luiz Barreiros <gbarreir@redhat.com> 0:1.0.13-2
- Rebuild

* Wed Jul 29 2009 Yong Yang <yyang@redhat.com> 0:1.0.13-1
- 1.0.13

* Wed Aug 20 2008 David Walluck <dwalluck@redhat.com> 0:1.0.12-6
- call %%update_maven_depmap

* Wed Aug 20 2008 David Walluck <dwalluck@redhat.com> 0:1.0.12-5
- add pom
- fix component-info.xml

* Wed Aug 13 2008 David Walluck <dwalluck@redhat.com> 0:1.0.12-4
- bump release
- don't duplicate repolib in main package
- own repolib dirs
- fix repolib permissions

* Thu May 29 2008 Permaine Cheung <pcheung@redhat.com> 0:1.0.12-2
- First JPP 5 build

* Tue Mar 13 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:1.0.12-1jpp.ep1.2
- Fix repolib location

* Tue Mar 13 2007 Fernando Nasser <fnasser@redhat.com> 0:1.0.12-1jpp.ep1.1
- New repolib location

* Mon Feb 19 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:1.0.12-1jpp.el4ep1.2
- Add -brew suffix

* Fri Feb 16 2007 Vivek Lakshmanan <vivekl@redhat.com> 0:1.0.12-1jpp.el4ep1.1
- Add repolib support

* Tue May 23 2006 Fernando Nasser <fnasser@redhat.com> 0:1.0.12-1jpp_1rh
- First Red Hat build with new name

* Thu May 04 2006 Ralph Apel <r.apel at r-apel.de> 0:1.0.12-1jpp
- 1.0.12
- Change name to gnu-getopt, Provide/Obsolete gnu.getopt
- Still provide gnu.getopt.jar as symlink

* Tue Dec 07 2004 David Walluck <david@jpackage.org> 0:1.0.10-1jpp
- 1.0.10

* Mon Aug 23 2004 Ralph Apel <r.apel at r-apel.de> 0:1.0.9-5jpp
- Build with ant-1.6.2

* Fri May 09 2003 David Walluck <david@anti-microsoft.org> 0:1.0.9-4jpp
- fix groups

* Fri May 09 2003 David Walluck <david@anti-microsoft.org> 0:1.0.9-3jpp
- update for JPackage 1.5

* Wed Mar 26 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 1.0.9-2jpp
- For jpackage-utils 1.5

* Sat Feb 16 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.9-1jpp 
- 1.0.9
- build script merged upstream

* Sat Jan 19 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.8-2jpp 
- versioned dir for javadoc
- no dependencies for javadoc package
- additional sources in individual archives
- section macro

* Sat Dec 08 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 1.0.8-1jpp
- first JPackage release
